%define anolis_release 1
%global pypi_name stanza
%global pypi_version 1.7.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A Python NLP Library for Many Human Languages, by the Stanford NLP Group

License:        Apache License 2.0
URL:            https://github.com/stanfordnlp/stanza
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel tox python3-tox-current-env
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(datasets)
BuildRequires:  python3dist(emoji)
BuildRequires:  python3dist(networkx)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(peft) >= 0.6.1
BuildRequires:  python3dist(protobuf) >= 3.15
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(torch) >= 1.3
BuildRequires:  python3dist(tqdm)
BuildRequires:  python3dist(transformers) >= 3

%description
The Stanford NLP Group's official Python NLP library. It contains support for running various accurate 
natural language processing tools on 60+ languages and for accessing the Java Stanford CoreNLP software 
from Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coverage)
Requires:       python3dist(datasets)
Requires:       python3dist(emoji)
Requires:       python3dist(networkx)
Requires:       python3dist(numpy)
Requires:       python3dist(peft) >= 0.6.1
Requires:       python3dist(protobuf) >= 3.15
Requires:       python3dist(pytest)
Requires:       python3dist(requests)
Requires:       python3dist(toml)
Requires:       python3dist(torch) >= 1.3
Requires:       python3dist(tqdm)
Requires:       python3dist(transformers) >= 3
%description -n python3-%{pypi_name}
The Stanford NLP Group's official Python NLP library. It contains support for running various accurate 
natural language processing tools on 60+ languages and for accessing the Java Stanford CoreNLP software 
from Python.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%tox

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Feb 04 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.7.0-1
- Initial package.
